Name:           splat
Version:        1.2.1
Release:        1%{?dist}
Summary:        Analyze point-to-point terrestrial RF communication links

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.qsl.net/kd2bd/splat.html
Source0:        http://www.ibiblio.org/pub/linux/apps/ham/%{name}-%{version}.tar.bz2
#man pages for utilities, generated from utils README file
Source1:        citydecoder.man
Source2:        srtm2sdf.man
Source3:        usgs2sdf.man
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bzip2-devel
BuildRequires:  groff
#Requires:       

%description
SPLAT! is a Surface Path Length And Terrain analysis application written for
Linux and Unix workstations. SPLAT! analyzes point-to-point terrestrial RF 
communication links, and provides information useful to communication system
designers and site engineers.

%package utils
Summary:       Utilities for use with SPLAT!
Group:         Applications/Communications
Requires:      %{name}-%{version}-%{release}

%description utils
Utilities for use with SPLAT!

Includes: 
citydecoder
srtm2sdf
usg2sdf


%prep
%setup -q

#fix end of line encoding
%{__sed} -i 's/\r//' utils/fips.txt

%build
#uses custom build scripts
./build all

#build additional man pages
groff -e -T ascii -man %{SOURCE1} > $RPM_BUILD_DIR/%{name}-%{version}/utils/citydecoder.1
groff -e -T ascii -man %{SOURCE2} > $RPM_BUILD_DIR/%{name}-%{version}/utils/srtm2sdf.1
groff -e -T ascii -man %{SOURCE3} > $RPM_BUILD_DIR/%{name}-%{version}/utils/usgs2sdf.1

%install
rm -rf $RPM_BUILD_ROOT
#manual install, easier than patching upstream custom install script
install -D -m 0755 splat $RPM_BUILD_ROOT%{_bindir}/splat
install -D -m 0644 docs/english/man/splat.1 $RPM_BUILD_ROOT%{_mandir}/man1/splat.1
install -D -m 0644 docs/spanish/man/splat.1 $RPM_BUILD_ROOT%{_mandir}/es/man1/splat.1
#utils
install -D -m 0755 utils/citydecoder $RPM_BUILD_ROOT%{_bindir}/citydecoder
install -D -m 0755 utils/usgs2sdf $RPM_BUILD_ROOT%{_bindir}/usgs2sdf
install -D -m 0755 utils/srtm2sdf $RPM_BUILD_ROOT%{_bindir}/srtm2sdf
#additional man pagers
install -D -m 0644 utils/citydecoder.1 $RPM_BUILD_ROOT%{_mandir}/man1/citydecoder.1
install -D -m 0644 utils/srtm2sdf.1 $RPM_BUILD_ROOT%{_mandir}/man1/srtm2sdf.1
install -D -m 0644 utils/usgs2sdf.1 $RPM_BUILD_ROOT%{_mandir}/man1/usgs2sdf.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README
%doc sample_data
%{_bindir}/splat
%{_mandir}/man?/splat*
%{_mandir}/es/man?/splat*

%files utils
%doc COPYING utils/README utils/fips.txt
%{_bindir}/citydecoder
%{_bindir}/srtm2sdf
%{_bindir}/usgs2sdf
%{_mandir}/man?/citydecoder*
%{_mandir}/man?/srtm2sdf*
%{_mandir}/man?/usgs2sdf*

%changelog
* Sun Dec 09 2007 Sindre Pedersen Bjørdal - 1.2.1-1
- Initial Build
